=== debian/changelog ===
atlas (3.8.4-9ubuntu1) raring; urgency=low

  * Merge from Debian unstable (LP: #1069761). Remaining Changes:
    - debian/rules:
      - Add "-Si cputhrchk 0" back to config flags because some of the
        Ubuntu build servers have throttling enabled (i386 and amd64).
        Fixes FTBFS on those platforms.

 -- Vibhav Pant <vibhavp@gmail.com>  Mon, 05 Nov 2012 23:27:22 +0100

atlas (3.8.4-9) unstable; urgency=low

  [ Sébastien Villemot ]
  * libatlas-test: put in devel/extra, to reflect override
  * Force generic PPC CPU when building a non-custom package on a PPC arch
    (Closes: #680096)

  [ Sylvestre Ledru ]
  * Use series for list the patches
  * Patches refreshed

 -- Sébastien Villemot <sebastien.villemot@ens.fr>  Sat, 04 Aug 2012 11:56:20 +0000

atlas (3.8.4-8ubuntu1) quantal; urgency=low

  * debian/rules:
    - Add "-Si cputhrchk 0" back to config flags because some of the
      Ubuntu build servers have throttling enabled (i386 and amd64).
      Fixes FTBFS on those platforms.

 -- Michael Terry <mterry@ubuntu.com>  Wed, 25 Jul 2012 14:43:03 -0400

atlas (3.8.4-8) unstable; urgency=low

  * libatlas3-base.prerm, libatlas3gf-base.prerm: avoid crash if libblas.so.3gf
    or liblapack.so.3gf already deleted
  * Add 3gf compat symlinks for libcblas, libf77blas and liblapack_atlas
    (to avoid breakage of some reverse deps)
  * In the LAPACK alternatives, use a lower priority than Netlib (in order to
    minimize the incidence of #576972)  
  * Update and clean-up README.Debian
  * Mention known build failures in README.source
  * libatlas3gf-base transitional package:
    + move to section oldlibs
    + mark as arch:all
  * Add myself to Uploaders
  * Set DM-Upload-Allowed to yes

 -- Sébastien Villemot <sebastien.villemot@ens.fr>  Sun, 24 Jun 2012 15:36:49 +0000

atlas (3.8.4-7) unstable; urgency=low

  * Force generic x86 CPU when building a non-custom package on an x86 arch
    (Closes: #676885)
  * Force 2 threads when not building a custom package (as was the case up
    to and including 3.8.3-30)
  * Fix detection of some Intel Core i1 CPUs (corei1.diff)

 -- Sébastien Villemot <sebastien.villemot@ens.fr>  Wed, 13 Jun 2012 16:33:20 +0200

atlas (3.8.4-6) unstable; urgency=low

  * Yet an other stupid bug... 
    Merci à Rafael Laboissiere (Closes: #676614)

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 08 Jun 2012 20:16:49 +0200

atlas (3.8.4-5) unstable; urgency=low

  * Bring back slave alternative for liblapack.so.3gf.
    Merci à Sébastien Villemot (Closes: #676495)

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 07 Jun 2012 13:02:23 +0200

atlas (3.8.4-4) unstable; urgency=low

  * Upload in unstable (Closes: #673357)
 
 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 02 Jun 2012 17:33:13 +0200

atlas (3.8.4-4~exp9) experimental; urgency=low

  * Drop the old conflict on libblas-3.so

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 31 May 2012 19:55:12 +0200

atlas (3.8.4-4~exp8) experimental; urgency=low

  * Replaces and Breaks updated against the right versions of other impacted
    packages
  * Force the right version to build against liblapack-dev and libblas-dev
  * Add a missing conflict

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 22 May 2012 14:32:20 +0200

atlas (3.8.4-4~exp7) experimental; urgency=low

  * Fix a mixed between postinst & preinst (Closes: #643767)

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 20 May 2012 17:21:33 +0200

atlas (3.8.4-4~exp6) experimental; urgency=low

  * Moved removal from postinst to preinst

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 18 May 2012 16:06:24 +0200

atlas (3.8.4-4~exp5) experimental; urgency=low

  * libblas and liblapack were not correctly named causing upgrades to fails.
    (Closes: #643767)
  * Update the README.Debian and TODO regarding recent changes

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 15 May 2012 18:06:16 +0200

atlas (3.8.4-4~exp4) experimental; urgency=low

  * Remove libblas.so.3gf liblapack.so.3gf references before the install
  * Fix a typo in the CPU freq (Closes: #672783)

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 18 May 2012 16:06:16 +0200

atlas (3.8.4-4~exp3) experimental; urgency=low

  * Update standards version to version 3.9.3

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 10 Apr 2012 22:01:50 +0200

atlas (3.8.4-4~exp2) experimental; urgency=low

  * Join modifications with blas, lapack, atlas and openblas.
    Declare the replacements of all *3gf blas & lapack implementation
    (See bug #660607)
  * postinst-has-useless-call-to-ldconfig & postrm-has-useless-call-to-ldconfig
    fixed
  * copyright-refers-to-deprecated-bsd-license-file fixed
  * libatlas3gf-base is now a transitional package to libatlas3-base
  * Fix a FTBFS under sh4. Thanks to Nobuhiro Iwamatsu for the patch
    (Closes: #605650)

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 20 Feb 2012 18:58:04 +0100

atlas (3.8.4-4~exp1) experimental; urgency=low

  * Rename libblas3gf package => libblas3
  * Rename libblas.so.3gf => libblas.so.3

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 04 Sep 2011 14:47:41 +0200

atlas (3.8.4-3) unstable; urgency=low

  * Revert change about devscripts being in the build-dep (see bug #628104)
  * Fix an error about missing tests when building custom package
    (Closes: #629528)
  * Fix an error about the pdf which cannot be found when building custom
    package.

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 07 Jun 2011 20:56:49 +0200

atlas (3.8.4-2) unstable; urgency=low

  * Fix the FTBFS under kfreebsd (kfreebsd.diff) (Closes: #628424)
  * Update of the README.Ddebian with more information
  * devscripts added into the build-dep of atlas (Closes: #628104)

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 30 May 2011 23:58:17 +0200

atlas (3.8.4-1) unstable; urgency=low

  * New upstream release
  * force -j 1 of make removed (hopefully fixes the FTBFS)
  * -Si cputhrchk 0 removed
  * Standards-Version updated to version 3.9.2

