=== debian/control ===
Source: atlas
Section: devel
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Sylvestre Ledru <sylvestre@debian.org>,
           Sébastien Villemot <sebastien.villemot@ens.fr>
DM-Upload-Allowed: yes
Standards-Version: 3.9.3
Build-Depends: debhelper (>= 7), patch, gfortran, cdbs,
 libblas-dev  (>= 1.2.20110419-3),
 liblapack-dev (>= 3.4.1-1), liblapack-pic (>= 3.4.1-1), libblas-test,
 texlive-latex-base, ghostscript, cpufrequtils
Homepage: http://math-atlas.sourceforge.net/
Vcs-Svn: svn://svn.debian.org/svn/debian-science/packages/atlas/
Vcs-Browser: http://svn.debian.org/viewsvn/debian-science/packages/atlas/

Package: libatlas3-base
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Provides: libatlas.so.3gf, libblas.so.3gf, liblapack.so.3gf,
 libatlas.so.3, libblas.so.3, liblapack.so.3
Conflicts: atlas2 (<< 3.2.1-1), libblas3gf (<< 1.2-5), 
 liblapack3gf (<< 3.2.1-4), libatlas3gf-sse (<< 3.8.3-25), 
 libatlas3gf-sse2 (<< 3.8.3-25), libatlas3gf-sse3 (<< 3.8.3-25), 
 libatlas3gf-core2sse3 (<< 3.8.3-25), libatlas3gf-amd64sse3 (<< 3.8.3-25),
 libatlas3gf-corei7sse3 (<< 3.8.3-25), libatlas3gf-altivec (<< 3.8.3-25), 
 libatlas3gf-v9 (<< 3.8.3-25), libatlas3gf-ev6 (<< 3.8.3-25), 
 libatlas3gf-2.0 (<< 3.8.3-25), libatlas3gf-base (<< 3.8.4-4)
Replaces: atlas2 (<< 3.2.1-1),  libatlas3gf-sse (<< 3.8.3-25), 
 libatlas3gf-sse2 (<< 3.8.3-25), libatlas3gf-sse3 (<< 3.8.3-25), 
 libatlas3gf-core2sse3 (<< 3.8.3-25), libatlas3gf-amd64sse3 (<< 3.8.3-25),
 libatlas3gf-corei7sse3 (<< 3.8.3-25), libatlas3gf-altivec (<< 3.8.3-25), 
 libatlas3gf-v9 (<< 3.8.3-25), libatlas3gf-ev6 (<< 3.8.3-25), 
 libatlas3gf-2.0 (<< 3.8.3-25), libblas3gf (<< 1.2.20110419-3),
 libatlas3gf-base (<< 3.8.4-4), libopenblas-base (<< 0.1.1-3),
 liblapack3gf (<< 3.4.0-1)
Breaks: libblas3gf (<< 1.2.20110419-3), libatlas3gf-base (<< 3.8.4-4),
 libopenblas-base (<< 0.1.1-3),  liblapack3gf (<< 3.4.0-1)
Suggests: liblapack3
Description: Automatically Tuned Linear Algebra Software, generic shared
 ATLAS is an approach for the automatic generation and optimization of
 numerical software. Currently ATLAS supplies optimized versions for the
 complete set of linear algebra kernels known as the Basic Linear Algebra
 Subroutines (BLAS), and a subset of the linear algebra routines in the
 LAPACK library.
 .
 The libraries in this package are built without any processor extension
 instructions, and should run on all processors of this general
 architecture, albeit less than optimally.  
 . 
 Before version 3.8.3-25, optimized binary packages were provided.
 However, due to the fact that most Atlas optimisation are done at build time,
 it has been decided to remove them and give priority to locally built packages.
 . 
 For more information on how to rebuild locally atlas, see the section:
 "Building Optimized Atlas Packages on your ARCH" in README.Debian

Package: libatlas3gf-base
Section: oldlibs
Architecture: all
Depends: ${misc:Depends}, libatlas3-base
Description: Transitional package to libatlas3-base
 ATLAS is an approach for the automatic generation and optimization of
 numerical software. Currently ATLAS supplies optimized versions for the
 complete set of linear algebra kernels known as the Basic Linear Algebra
 Subroutines (BLAS), and a subset of the linear algebra routines in the
 LAPACK library.

Package: libatlas-base-dev
Section: libdevel
Architecture: any
Depends: libatlas3-base (= ${binary:Version}), libatlas-dev, ${misc:Depends}, 
 ${shlibs:Depends}
Provides: libatlas-3gf.so, libblas-3gf.so, liblapack-3gf.so,
 libatlas-3.so, liblapack-3.so
Conflicts: atlas2-dev (<< 3.2.1-3), atlas2-base-dev, libblas-dev (<< 1.2-5), 
 liblapack-dev (<< 3.2.1-4), libatlas-sse-dev (<< 3.8.3-25), 
 libatlas-sse2-dev (<< 3.8.3-25), libatlas-sse3-dev (<< 3.8.3-25), 
 libatlas-core2sse3-dev (<< 3.8.3-25), libatlas-amd64sse3-dev (<< 3.8.3-25),
 libatlas-corei7sse3-dev (<< 3.8.3-25), libatlas-altivec-dev (<< 3.8.3-25), 
 libatlas-v9-dev (<< 3.8.3-25), libatlas-ev6-dev (<< 3.8.3-25), 
 libatlas-2.0-dev (<< 3.8.3-25)
Replaces: atlas2-dev (<< 3.2.1-3), atlas2-base-dev, libatlas-sse-dev, 
 libatlas-sse-dev (<< 3.8.3-25), 
 libatlas-sse2-dev (<< 3.8.3-25), libatlas-sse3-dev (<< 3.8.3-25), 
 libatlas-core2sse3-dev (<< 3.8.3-25), libatlas-amd64sse3-dev (<< 3.8.3-25),
 libatlas-corei7sse3-dev (<< 3.8.3-25), libatlas-altivec-dev (<< 3.8.3-25), 
 libatlas-v9-dev (<< 3.8.3-25), libatlas-ev6-dev (<< 3.8.3-25), 
 libatlas-2.0-dev (<< 3.8.3-25)
Suggests: libblas-doc, liblapack-doc
Description: Automatically Tuned Linear Algebra Software, generic static
 ATLAS is an approach for the automatic generation and optimization of
 numerical software. Currently ATLAS supplies optimized versions for the
 complete set of linear algebra kernels known as the Basic Linear Algebra
 Subroutines (BLAS), and a subset of the linear algebra routines in the
 LAPACK library.
 .
 This package includes the static libraries and symbolic links
 needed for program development.

Package: libatlas-dev
Section: libdevel
Architecture: all
Depends: libc6-dev, libblas-dev, ${misc:Depends}, ${shlibs:Depends}
Conflicts: atlas-dev, atlas2-dev (<< 3.2.1-3), atlas2-headers, atlas3-headers,
 libblas-dev (<< 1.2-5), liblapack-dev (<< 3.2.1-4)
Replaces: atlas2-dev (<< 3.2.1-3), atlas2-headers, atlas3-headers
Suggests: liblapack-dev, liblapack-doc
Description: Automatically Tuned Linear Algebra Software, C header files
 ATLAS is an approach for the automatic generation and optimization of
 numerical software. Currently ATLAS supplies optimized versions for the
 complete set of linear algebra kernels known as the Basic Linear Algebra
 Subroutines (BLAS), and a subset of the linear algebra routines in the
 LAPACK library.
 .
 This package provides the headers needed to compile against the libraries
 provided by ATLAS.

Package: libatlas-test
Architecture: any
Section: devel
Priority: extra
Replaces: atlas-test, atlas3-test
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: liblapack3
Description: Automatically Tuned Linear Algebra Software, test programs
 ATLAS is an approach for the automatic generation and optimization of
 numerical software. Currently ATLAS supplies optimized versions for the
 complete set of linear algebra kernels known as the Basic Linear Algebra
 Subroutines (BLAS), and a subset of the linear algebra routines in the
 LAPACK library.
 .
 This package provides dynamically linked testing and bench-marking
 binaries to compare the blas and atlas libraries on your system.

Package: libatlas-doc
Section: doc
Depends: ${misc:Depends}
Conflicts: atlas-doc, atlas3-doc
Replaces: atlas-doc, atlas3-doc
Architecture: all
Description: Automatically Tuned Linear Algebra Software, documentation
 ATLAS is an approach for the automatic generation and optimization of
 numerical software. Currently ATLAS supplies optimized versions for the
 complete set of linear algebra kernels known as the Basic Linear Algebra
 Subroutines (BLAS), and a subset of the linear algebra routines in the
 LAPACK library.
 .
 This package provides documentation on the atlas libraries useful for
 developers.
